xReport | R Documentation

## Function to generate a html-formatted report

### Description

`xReport` is supposed to generate a html-formatted report.

### Usage

    xReport(
    obj,
    rmd = NULL,
    output_format = NULL,
    output_file = NULL,
    output_dir = NULL,
    quiet = T,
    verbose = T,
    ...
    )

### Arguments

`obj` | an R object. Usually a S3-class object storing results such as an 'eTerm' object
`rmd` | the R markdown file. If NULL, the pre-prepared one in the directory 'inst/DynamicReport' of the XGR package will be used
`output_format` | the output format rendered from the R markdown file. If NULL, the output format is the first one defined within the R markdown file. The advanced use is to pass an output format object via rmarkdown::html_document()
`output_file` | the name of the output file. If NULL, the output filename will be based on the filename of R markdown file (extension replaced)
`output_dir` | the directory of the output file
`quiet` | the logic specifying whether to suppress printing of the pandoc command line
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to false for no display
`...` | additional parameters used in rmarkdown::render

### Value

the message on the rendered output file and directory.

### Note

none

### See Also

`xReport`

### Examples

    # Load the XGR package and specify the location of built-in data
    library(XGR)
    RData.location <- "http://galahad.well.ox.ac.uk/bigdata/"

    res <- xReport(eTerm)

    # advanced use
    output_format <-
    rmarkdown::html_document(number_sections=T,theme="journal",
    hightlight="espresso",code_folding="hide")
    res <- xReport(eTerm, output_format=output_format)